Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511948 - SELinux is preventing nm-dhcp-helper from 'connectto' accesses on the unix_stream_socket /run/NetworkManager/private-dhcp.
Summary: SELinux is preventing nm-dhcp-helper from 'connectto' accesses on the unix_st...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6aa0ddbe5a4f66621e38ab81dcc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-10 13:31 UTC by Stephen Victor
Modified: 2017-11-20 16:57 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.13.1-283.16.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-20 16:57:10 UTC


Attachments (Terms of Use)

Description Stephen Victor 2017-11-10 13:31:57 UTC
Description of problem:
I simply restarted, and the error appeared.
SELinux is preventing nm-dhcp-helper from 'connectto' accesses on the unix_stream_socket /run/NetworkManager/private-dhcp.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that nm-dhcp-helper should be allowed connectto access on the private-dhcp unix_stream_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'nm-dhcp-helper' --raw | audit2allow -M my-nmdhcphelper
# semodule -X 300 -i my-nmdhcphelper.pp

Additional Information:
Source Context                unconfined_u:system_r:dhcpc_t:s0-s0:c0.c1023
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                /run/NetworkManager/private-dhcp [
                              unix_stream_socket ]
Source                        nm-dhcp-helper
Source Path                   nm-dhcp-helper
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-283.14.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.13.9-300.fc27.x86_64 #1 SMP Mon
                              Oct 23 13:41:58 UTC 2017 x86_64 x86_64
Alert Count                   5
First Seen                    2017-11-09 06:10:32 CST
Last Seen                     2017-11-10 07:28:20 CST
Local ID                      1a027249-5722-4827-90a0-908b12d84e76

Raw Audit Messages
type=AVC msg=audit(1510320500.741:170): avc:  denied  { connectto } for  pid=2230 comm="nm-dhcp-helper" path="/run/NetworkManager/private-dhcp" scontext=unconfined_u:system_r:dhcpc_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=unix_stream_socket permissive=0


Hash: nm-dhcp-helper,dhcpc_t,unconfined_t,unix_stream_socket,connectto

Version-Release number of selected component:
selinux-policy-3.13.1-283.14.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.2
hashmarkername: setroubleshoot
kernel:         4.13.9-300.fc27.x86_64
type:           libreport

Potential duplicate: bug 1015756

Comment 1 Fedora Update System 2017-11-16 15:13:17 UTC
selinux-policy-3.13.1-283.16.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5178e6a393

Comment 2 Fedora Update System 2017-11-17 18:56:52 UTC
selinux-policy-3.13.1-283.16.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5178e6a393

Comment 3 Fedora Update System 2017-11-20 16:57:10 UTC
selinux-policy-3.13.1-283.16.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.